# Uses of Interface
org.eclipse.emf.compare.ComparePackage

Packages that use ComparePackage
Package
Description
org.eclipse.emf.compare
org.eclipse.emf.compare.impl
org.eclipse.emf.compare.util

## Uses of ComparePackage in org.eclipse.emf.compare

Fields in org.eclipse.emf.compare declared as ComparePackage
Modifier and Type
Field
Description
`static final ComparePackage`
ComparePackage.`eINSTANCE`
The singleton instance of the package.
Methods in org.eclipse.emf.compare that return ComparePackage
Modifier and Type
Method
Description
`ComparePackage`
CompareFactory.`getComparePackage()`
Returns the package supported by this factory.

## Uses of ComparePackage in org.eclipse.emf.compare.impl

Classes in org.eclipse.emf.compare.impl that implement ComparePackage
Modifier and Type
Class
Description
`class`
`ComparePackageImpl`
An implementation of the model Package.
Methods in org.eclipse.emf.compare.impl that return ComparePackage
Modifier and Type
Method
Description
`ComparePackage`
CompareFactoryImpl.`getComparePackage()`
`static ComparePackage`
CompareFactoryImpl.`getPackage()`
Deprecated.
`static ComparePackage`
ComparePackageImpl.`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

## Uses of ComparePackage in org.eclipse.emf.compare.util

Fields in org.eclipse.emf.compare.util declared as ComparePackage
Modifier and Type
Field
Description
`protected static ComparePackage`
CompareAdapterFactory.`modelPackage`
The cached model package.
`protected static ComparePackage`
CompareSwitch.`modelPackage`
The cached model package